> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Perform Full Text Search

> Searchfor web content and retrieve full text content with advanced filtering optionsincluding freshness, market, and safety filters



## OpenAPI

````yaml openapi/search.json GET /apis/v1/search/full
openapi: 3.1.0
info:
  description: ''
  title: Search
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/search/full
    - /apis/v1/search/smart
  x-aisa-document:
    facts_hash: 14646fd873890a462cb0961cb8cf2df0906d3b2a4a335c73085c877abf50837d
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:5130fe760d9136dfdebb2b7f9f336d8a1934defcc9c61a0515087ce1e64d057b
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: search
  x-aisa-catalogs:
    search:
      title: Search
      description: ''
      x-aisa-document:
        facts_hash: 14646fd873890a462cb0961cb8cf2df0906d3b2a4a335c73085c877abf50837d
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/search/full:
    get:
      tags:
        - search
      summary: Perform Full Text Search
      description: >-
        Searchfor web content and retrieve full text content with advanced
        filtering optionsincluding freshness, market, and safety filters
      operationId: any_search_apis_v1_search_full
      parameters:
        - name: cc
          in: query
          description: >-
            Atwo-character country code indicating the country from which the
            resultoriginated.
          required: false
          schema:
            type: string
            maxLength: 2
        - name: contentType
          in: query
          description: >-
            Enumeration value that affects the format of the full text
            contentreturned
          required: false
          schema:
            type: string
            enum:
              - HTML
              - MARKDOWN
        - name: count
          in: query
          description: Number of search results included in the return results
          required: false
          schema:
            type: integer
        - name: freshness
          in: query
          description: >-
            Filter search results by time values: Day, Week, Month. To get
            articleswithin a specific time range, specify a date range in the
            formatYYYY-MM-DD..YYYY-MM-DD. For example, 2019-02-01..2019-05-30.
          required: false
          schema:
            type: string
        - name: mkt
          in: query
          description: >-
            Themarket from which the results come. Usually, mkt is the country
            where the usermade the request. The market must be in the
            language-country format. Forexample, en-US. The string is
            case-insensitive.
          required: false
          schema:
            type: string
        - name: offset
          in: query
          description: >-
            Theoffset from zero, indicating the number of search results to skip
            beforereturning results. The default value is 0. Use this parameter
            with the countparameter to paginate the results.
          required: false
          schema:
            type: integer
            format: int16
            default: 0
        - name: q
          in: query
          description: >-
            Theuser's search query. This string cannot be empty. The query can
            containadvanced operators.
          required: true
          schema:
            type: string
        - name: safeSearch
          in: query
          description: Usedto filter adult content in web pages, images, and videos.
          required: false
          schema:
            type: string
            enum:
              - 'Off'
              - Moderate
              - Strict
        - name: setLang
          in: query
          description: >-
            Thelanguage for User Interface strings. You can use a 2-letter or
            4-letter code tospecify the language. A 4-letter code is recommended
            in the form language-country,where language is an ISO 639-1 language
            code and country is an ISO 3166country/region code. For example, use
            en-US for US English.
          required: false
          schema:
            type: string
        - name: textDecorations
          in: query
          description: >-
            Aboolean value that determines whether the display string in the
            result shouldcontain decoration markers (such as hit highlighting
            characters). If true, thestring may contain markers. The default
            value is false.
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Successful full text search response
          content:
            application/json:
              schema:
                type: object
                properties:
                  queryContext:
                    type: object
                    properties:
                      originalQuery:
                        type: string
                        description: The query string specified in therequest
                  webPages:
                    type: object
                    properties:
                      value:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                              description: >-
                                The name of the web page. Use this nameand the
                                URL to create a hyperlink that users can click
                                to go to the webpage.
                            snippet:
                              type: string
                              description: >-
                                A text snippet that describes the contentof a
                                web page.
                            url:
                              type: string
                              description: >-
                                The URL of the web page. Use this URL andname to
                                create a hyperlink that the user can click to go
                                to the web page.
                            content:
                              type: string
                              description: Full text content of the web page.
                            displayUrl:
                              type: string
                              description: The display URL of the web page.
                            datePublished:
                              type: string
                              format: date-time
                              description: The time when the web page waspublished.
                            siteName:
                              type: string
                              description: Thesource of the web page
                            logo:
                              type: string
                              description: The URL of the site's logo orfavicon.
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.